/* ../../include/com/snert/lib/version.h.  Generated by configure.  */
/*
 * version.h
 *
 * Copyright 2002, 2004 by Anthony Howe. All rights reserved.
 */

#ifndef __com_snert_lib_version_h__
#define __com_snert_lib_version_h__	1

#ifdef __cplusplus
extern "C" {
#endif

#define __LIBSNERT__		1

#define LIBSNERT_MAJOR 1
#define LIBSNERT_MINOR 39
#define LIBSNERT_BUILD 618
#define LIBSNERT_VERSION "LibSnert/1.39.618"
#define LIBSNERT_AUTHOR "Anthony Howe <achowe@snert.com>"
#define LIBSNERT_COPYRIGHT "Copyright 1996, 2004 by Anthony Howe. All rights reserved."
/* #undef LIBSNERT_DEBUG */
#define LIBSNERT_UNAME "CYGWIN"

#ifndef __CYGWIN__
#define __CYGWIN__		1
#endif

#define _CYGWIN_		1

#define NDEBUG 1

typedef struct {
	int major;
	int minor;
	int build;
	const char *author;
	const char *version;
	const char *copyright;
} VersionInfo;

extern VersionInfo LibSnert;

/*
 * Fine resolution clock:
 *
 * POSIX_API    nanoseconds     10^-9
 * BSD_API      microseconds    10^-6
 * ANSI_API     seconds         10^1
 */
#define TIME_API ANSI_API

/*
 * SYSTEMV_API
 * POSIX_API
 * WIN32_API
 * FCNTL_API
 * FLOCK_API
 */
#define SERIALIZATION_API WIN32_API

/*
 * SYSTEMV_API
 * POSIX_API
 * WIN32_API
 * MMAP_ANON
 */
#define SHARED_MEMORY_API WIN32_API

/*
 * POSIX Thread Mutex Functions
 */
/* #undef HAVE_PTHREAD_H */
/* #undef HAVE_PTHREAD_MUTEX_INIT */
/* #undef HAVE_PTHREAD_MUTEX_DESTROY */
/* #undef HAVE_PTHREAD_MUTEX_LOCK */
/* #undef HAVE_PTHREAD_MUTEX_UNLOCK */

/* #undef HAVE_PTHREAD_LOCK_GLOBAL_NP */
/* #undef HAVE_PTHREAD_UNLOCK_GLOBAL_NP */

/* #undef HAVE_PTHREAD_RWLOCK_INIT */
/* #undef HAVE_PTHREAD_RWLOCK_DESTROY */
/* #undef HAVE_PTHREAD_RWLOCK_UNLOCK */
/* #undef HAVE_PTHREAD_RWLOCK_RDLOCK */
/* #undef HAVE_PTHREAD_RWLOCK_WRLOCK */
/* #undef HAVE_PTHREAD_RWLOCK_TRYRDLOCK */
/* #undef HAVE_PTHREAD_RWLOCK_TRYWRLOCK */

/*
 * Sockets
 */
/* #undef HAVE_ARPA_INET_H */
/* #undef HAVE_NETINET_IN6_H */
/* #undef HAVE_NETINET_IN_H */
/* #undef HAVE_SYS_SOCKET_H */
/* #undef HAVE_SYS_UN_H */

#define HAVE_ACCEPT 1
#define HAVE_CONNECT 1
#define HAVE_GETSOCKOPT 1
#define HAVE_INET_ADDR 1
/* #undef HAVE_INET_ATON */
/* #undef HAVE_INET_PTON */
#define HAVE_INET_NTOA 1
/* #undef HAVE_INET_NTOP */
#define HAVE_RECVFROM 1
#define HAVE_SENDTO 1
#define HAVE_SETSOCKOPT 1
#define HAVE_SHUTDOWN 1
#define HAVE_SOCKET 1

/*
 * Headers
 */
/* #undef HAVE_DB4_DB_H */
/* #undef HAVE_DB3_DB_H */
/* #undef HAVE_DB_H */
#define HAVE_FCNTL_H 1
#define HAVE_IO_H 1
#define HAVE_LIMITS_H 1
#define HAVE_MEMORY_H 1
/* #undef HAVE_SEMAPHORE_H */
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
/* #undef HAVE_STRINGS_H */
/* #undef HAVE_SYS_FILE_H */
/* #undef HAVE_SYS_MMAN_H */
#define HAVE_SYS_STAT_H 1
/* #undef HAVE_SYS_TIME_H */
#define HAVE_SYS_TYPES_H 1
/* #undef HAVE_SYSLOG_H */
/* #undef HAVE_UNISTD_H */
#define HAVE_VPRINTF 1
#define HAVE_WINDOWS_H 1
#define HAVE_WINSOCK2_H 1
/* #undef STDC_HEADERS */
/* #undef HAVE_LIBMILTER_MFAPI_H */

/*
 * Functions
 */
/* #undef HAVE_FCNTL */
/* #undef HAVE_FLOCK */
/* #undef HAVE_GETHOSTNAME */
/* #undef HAVE_GETHOSTBYNAME */
/* #undef HAVE_GETHOSTBYNAME2 */
/* #undef HAVE_GETPAGESIZE */
/* #undef HAVE_GETTIMEOFDAY */
#define HAVE_MKDIR 1
/* #undef HAVE_MMAP */
/* #undef HAVE_MUNMAP */
#define HAVE_SELECT 1
/* #undef HAVE_SEM_DESTROY */
/* #undef HAVE_SEM_INIT */
/* #undef HAVE_SEM_POST */
/* #undef HAVE_SEM_WAIT */
#define HAVE_STRCSPN 1
#define HAVE_STRDUP 1
#define HAVE_STRERROR 1
#define HAVE_STRSPN 1
#define HAVE_STRTOL 1
#define PROTOTYPES 1

/*
 * Date & Time
 */
#define HAVE_GMTIME 1
/* #undef HAVE_GMTIME_R */
#define HAVE_LOCALTIME 1
/* #undef HAVE_LOCALTIME_R */
#define HAVE_STRFTIME 1
/* #undef TIME_WITH_SYS_TIME */

/* #undef LIBSNERT_WITH_BERKELEY_DB */

/* #undef _ */
#ifdef __STDC__
# define _(x)			x
#else
# define _(x)			()
#endif

#ifndef HAVE_FLOCK
/*
 * Simulated flock() with fcntl().
 */
# define LOCK_SH	0x01		/* shared file lock */
# define LOCK_EX	0x02		/* exclusive file lock */
# define LOCK_NB	0x04		/* don't block when locking */
# define LOCK_UN	0x08		/* unlock file */

extern int flock(int, int);
#endif /* HAVE_FLOCK */

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_lib_version_h__ */
